Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Update error_reporting() level.

PHP5.4 includes E_STRICT in E_ALL error level,
CakePHP 1.3 isn't fully compatible with E_STRICT.
  • Loading branch information...
commit f71f8b5ea32442f86df11db946d2db73f378045e 1 parent 2ac00f0
@markstory markstory authored
Showing with 2 additions and 2 deletions.
  1. +2 −2 cake/libs/configure.php
View
4 cake/libs/configure.php
@@ -114,7 +114,7 @@ function write($config, $value = null) {
if (!class_exists('Debugger')) {
require LIBS . 'debugger.php';
}
- $reporting = E_ALL & ~E_DEPRECATED;
+ $reporting = E_ALL & ~E_DEPRECATED & ~E_STRICT;
if (function_exists('ini_set')) {
ini_set('display_errors', 1);
}
@@ -127,7 +127,7 @@ function write($config, $value = null) {
if (is_integer($_this->log) && !$_this->debug) {
$reporting = $_this->log;
} else {
- $reporting = E_ALL & ~E_DEPRECATED;
+ $reporting = E_ALL & ~E_DEPRECATED & ~E_STRICT;
}
error_reporting($reporting);
if (!class_exists('CakeLog')) {
Please sign in to comment.
Something went wrong with that request. Please try again.